您的 PHP 似乎没有安装运行 WordPress 所必需的 MySQL 扩展”解决方案

今天迁移wordpress到另一个服务器时安装wordpress出现“您的 PHP 似乎没有安装运行 WordPress 所必需的 MySQL 扩展”的问题,折腾了很久,网上找了很多方案,但都不能解决我的问题,但功夫不负有心人最后自己摸索到一个可以解决我实际遇到的问题,整理总结出来,分享给大家,以便后续遇到此类问题可以使用。
一、linux服务器环境解决方法如下
第一步:先用SSH登录,打开PHP.ini
#vi /etc/php.ini
第二步:php.ini中 添加
extension=mysql.so
第三步:在PHP.ini 中找到如下
extension_dir = "XXXXXXX"
注:XXX指扩展安装目录,centos64位的主机一般安装在extension_dir = "/usr/lib64/php/modules"
第四步:找到这个扩展安装目录,确认是否有mysql.so这个文件,如果没有到网上下载并上传到上述目录下。
第五步:重启httpd服务
二、上述方法对于大部分服务器来说都可以解决,但我的服务器用上述方法并不能解决问题,最后折腾半天查看php版本,发现版本很旧。可能和php版本有关,最后更新到最新php版本7.x后问题解决。更新方法如下:
第一步:首先查看是否有老版本
yum list installed | grep php \\有输出php相关信息说明有安装老版本,我本地安装了php5.4版本。
第二步:如果有安装则卸载老版本
yum remove php.x86_64 php-cli.x86_64 php-common.x86_64 php-gd.x86_64 php-ldap.x86_64 php-mbstring.x86_64 php-mcrypt.x86_64 php-mysql.x86_64 php-pdo.x86_64
第三步:老版本清理干净之后,升级新版本。这里升级到php7.x版本
1、由于linux的yum源不存在php7.x,所以我们要更改yum源:
rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
2、查看yum源中有没有php7.x
yum search php7 \\有输出php 72xx信息说明安装成功
3、yum 安装php72w和各种拓展模块,选自己需要的即可:
yum -y install php72w php72w-cli php72w-common php72w-devel php72w-embedded php72w-fpm php72w-gd php72w-mbstring php72w-mysqlnd php72w-opcache php72w-pdo php72w-xml
4、查看php版本
php -v \\已经安装成功php7.2.24版本
最后再测试安装wordpress,终于成功安装。

weinxin
DC Farm小程序二维码
扫一扫添加博客小程序
Jim

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: